Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.ajax.container
Class MuleAjaxServlet.MuleContinuationBayeux

    java.lang.Object
      org.mortbay.cometd.MessagePool
          org.mortbay.cometd.AbstractBayeux
              org.mortbay.cometd.continuation.ContinuationBayeux
                  org.mule.transport.ajax.container.MuleAjaxServlet.MuleContinuationBayeux

All Implemented Interfaces:
  org.cometd.Bayeux

Enclosing class:
  MuleAjaxServlet

    protected class MuleAjaxServlet.MuleContinuationBayeux

extends org.mortbay.cometd.continuation.ContinuationBayeux

We subclass the `ContinuationBayeux` so tat we can insert a different message implementation that allows us to have better control over the message going across the wire. Right now this means that we use Jackson for Json serialization.

Nested Class Summary

Nested classes/interfaces inherited from class org.mortbay.cometd.AbstractBayeux
`org.mortbay.cometd.AbstractBayeux.ConnectHandler, org.mortbay.cometd.AbstractBayeux.DefaultPolicy, org.mortbay.cometd.AbstractBayeux.DisconnectHandler, org.mortbay.cometd.AbstractBayeux.Handler, org.mortbay.cometd.AbstractBayeux.HandshakeHandler, org.mortbay.cometd.AbstractBayeux.MetaPublishHandler, org.mortbay.cometd.AbstractBayeux.PingHandler, org.mortbay.cometd.AbstractBayeux.PublishHandler, org.mortbay.cometd.AbstractBayeux.ServiceChannel, org.mortbay.cometd.AbstractBayeux.SubscribeHandler, org.mortbay.cometd.AbstractBayeux.UnsubscribeHandler`

Field Summary

Fields inherited from class org.mortbay.cometd.AbstractBayeux
`_advice, _adviceVersion, _browser2client, _channelIdCache, _channelListeners, _clientListeners, _extensions, _handshakeAdvice, _initialized, _interval, _logLevel, _maxClientQueue, _maxInterval, _maxLazyLatency, _metaPublishHandler, _multiFrameAdvice, _multiFrameInterval, _publishHandler, _replyExt, _request, _requestAvailable, _securityPolicy, _transports, META_CLIENT_ID, META_CONNECT_ID, META_DISCONNECT_ID, META_HANDSHAKE_ID, META_ID, META_PING_ID, META_STATUS_ID, META_SUBSCRIBE_ID, META_UNSUBSCRIBE_ID`

Fields inherited from interface org.cometd.Bayeux
`ADVICE_FIELD, ATTRIBUTE, CHANNEL_FIELD, CLIENT_FIELD, CONNECTION_TYPE_FIELD, DATA_FIELD, ERROR_FIELD, EXT_FIELD, HANDSHAKE_RESPONSE, ID_FIELD, INTERVAL_FIELD, JSON_COMMENT_FILTERED_FIELD, JSON_CONTENT_TYPE, JSONP_DEFAULT_NAME, JSONP_PARAMETER, MESSAGE_PARAMETER, META, META_CLIENT, META_CONNECT, META_DISCONNECT, META_HANDSHAKE, META_PING, META_SLASH, META_STATUS, META_SUBSCRIBE, META_UNSUBSCRIBE, MIN_VERSION_FIELD, NONE_RESPONSE, RECONNECT_FIELD, RETRY_RESPONSE, SERVICE, SERVICE_SLASH, SUBSCRIPTION_FIELD, SUCCESSFUL_FIELD, SUPPORTED_CONNECTION_TYPES_FIELD, TIMESTAMP_FIELD, TRANSPORT_CALLBACK_POLL, TRANSPORT_FIELD, TRANSPORT_FLASH, TRANSPORT_IFRAME, TRANSPORT_LONG_POLL, VERSION_FIELD`

Constructor Summary
`protected` | `MuleAjaxServlet.MuleContinuationBayeux()`

Method Summary
`org.mortbay.cometd.MessageImpl` | `newMessage()`
`org.mortbay.cometd.MessageImpl` | `newMessage(org.cometd.Message associated)`

Methods inherited from class org.mortbay.cometd.continuation.ContinuationBayeux
`destroy, initialize, newRemoteClient, setMaxInterval`

Methods inherited from class org.mortbay.cometd.AbstractBayeux
`addChannel, addClient, addExtension, addListener, doPublish, extendRcv, extendRcvMeta, extendSendBayeux, extendSendClient, extendSendMeta, getAdvice, getChannel, getChannel, getChannel, getChannelCount, getChannelId, getChannels, getClient, getClientCount, getClientIDs, getClients, getCurrentRequest, getInterval, getLogLevel, getMaxClientQueue, getMaxInterval, getMaxLazyLatency, getMultiFrameInterval, getSecurityPolicy, getTimeout, handle, hasChannel, hasClient, isDirectDeliver, isInitialized, isJSONCommented, isLogDebug, isLogInfo, isRequestAvailable, logDebug, logDebug, logInfo, logWarn, logWarn, newClient, newClientId, newTransport, removeChannel, removeChannel, removeClient, setAdvice, setDirectDeliver, setInterval, setJSONCommented, setLogLevel, setMaxClientQueue, setMaxLazyLatency, setMultiFrameInterval, setRequestAvailable, setSecurityPolicy, setTimeout`

Methods inherited from class org.mortbay.cometd.MessagePool
`getBatchJSON, getJSON, getMsgJSON, parse, parse, parseTo, setBatchJSON, setJSON, setMsgJSON, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MuleAjaxServlet.MuleContinuationBayeux

    protected MuleAjaxServlet.MuleContinuationBayeux()

Method Detail

### newMessage

    public org.mortbay.cometd.MessageImpl newMessage()

  Overrides:
    `newMessage` in class `org.mortbay.cometd.MessagePool`

### newMessage

    public org.mortbay.cometd.MessageImpl newMessage(org.cometd.Message associated)

  Overrides:
    `newMessage` in class `org.mortbay.cometd.MessagePool`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.